<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent">
<GridView
    android:id="@+id/puzzle_grid"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
	android:horizontalSpacing="2mm"
	android:verticalSpacing="2mm"
	android:columnWidth="10mm"
	android:numColumns="auto_fit"
    android:stretchMode="columnWidth"
    android:gravity="center" />
</LinearLayout>

